/* getplin - get a line from input
 * line must start with specified "prompt" text
 * return YES if text matched, NO otherwise
 */
#include "local.h"
#define FMTSIZE 84
bool getplin(p, s, n)
	char p[];
	char s[];
	size_t n;
	{
	char buf[BUFSIZ];
	char fmt[FMTSIZE];
	metachar c;

	if (!strfit(fmt, p, FMTSIZE - 4))
		return (NO);	/* prompt text is too long */
	strcat(fmt, "%c");
	while (isspace(c = getchar()))
		;
	ungetc(c, stdin);
	if (scanf(fmt, buf) != 1)
		return (NO);
	if (getsnn(buf, BUFSIZ) == EOF)
		return (NO);
	if (!strfit(s, buf, n))
		fprintf(stderr, "<%s> chopped to \n<%s>\n", buf, s);
	return (YES);
	}
